import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
//列表显示
export const columns: BasicColumn[] = [
  {
    title: '供应商名称',
    dataIndex: 'SUPP_NAME_CN',
  },
  {
    title: '供应商代码',
    dataIndex: 'SUPP_CODE',
    width: 100,
  },
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
  },
  {
    title: '创建人',
    dataIndex: 'CREATE_USER',
    width: 180,
  }
];
//模糊查询
export const searchFormSchema: FormSchema[] = [
  {
    field: 'SUPP_CODE',
    label: '供应商代码',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'SUPP_NAME_CN',
    label: '供应商名称',
    component: 'Input',
    colProps: { span: 8 },
  },
];
//新增组件
export const formSchema: FormSchema[] = [
  {
    field: 'SUPP_CODE',
    label: '供应商代码',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'ID',
    label: 'ID',
    component: 'Input',
    show: false,
  },
  {
    field: 'CREATE_TIME',
    label: '创建时间',
    component: 'Input',
    show: false,
  },
  {
    field: 'SUPP_NAME_CN',
    label: '供应商名称',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  }
];
